#from __future__ import unicode_literals
# -*- coding: utf-8 -*-
from __future__ import division
import os

from PyQt4.QtCore import *
from PyQt4.QtGui import *
from Pion import Pion

class Decor(Pion):
    """decor a placer sur le plateau"""
    def __init__(self, parent=None):
        self.id = "00"
        self.escalade = False            #peut etre escalade
        self.franchissable = False       #peut etre traverse (ex: rideau, porte)
        self.brule = False               #peut prendre feu

    def ajouterAuPlateau(self, plateau):
        self.plateau = plateau
        super(Decor, self).ajouterAuPlateau(self.plateau)
        
    def hoverEnterEvent(self, event):
        """evenement lors du survol de la souris (en entree)""" 
        self.plateau.caseSurvol(self.position[0], self.position[1])
        self.plateau.pionDecorSurvol(self.numero)

    def hoverLeaveEvent(self, event):
        """evenement lors du survol de la souris (en sortie)"""
        self.plateau.pionDecorSurvol(None)

    def mousePressEvent(self, event):
        """evenement lors du clic souris"""
        if event.button() == 1: #sur clic gauche  
            #en mode creation, on peut selectionner le decor pour le deplacer ou le supprimer
            if self.plateau.modePrincipal == "creation":
                 self.plateau.pionDecorSaisir(self.numero)
                 event.accept()
        else:
            event.ignore()       
